-- This is a sample project to demonstrate the 'generateLocaleFiles.pl' script

--we can set up some settings through public properties (optional)
Localize.path = "locales"
Localize.filetype = "lua"

-- This is a convenience function and doesn't
-- have any part in the locale translation
-- It just makes the console output look organized for
-- easy viewing
local function printIt(label, str)
   local msg = string.format("%-20s >>>%s<<<", label, str)
   print(msg)
end

-- The call to 'string.format' causes the global constants
-- to go through the Locale string translation system
local function demoLocale(locale)
   -- Change to new locale
   Localize.changeLocale(locale)

   -- Start printing out the strings
   printIt("LOCALE", locale)

   local str = string.format(SIMPLE_PLAIN_STR)
   printIt("SIMPLE_PLAIN_STR",str)

   str = string.format(FORMAT_PREFIX_STR, "A@?")
   printIt("FORMAT_PREFIX_STR",str)

   str = string.format(FORMAT_SUFFIX_STR, "123")
   printIt("FORMAT_SUFFIX_STR",str)

   str = string.format(SIMPLE_PREFIX_STR)
   printIt("SIMPLE_PREFIX_STR",str)

   str = string.format(SIMPLE_SUFFIX_STR)
   printIt("SIMPLE_SUFFIX_STR",str)

   str = string.format(SIMPLE_PARAGRAPH_STR)
   printIt("SIMPLE_PARAGRAPH_STR",str)

   str = string.format(FORMAT_PARAGRAPH_STR, "ABC","123")
   printIt("FORMAT_PARAGRAPH_STR",str)

end --

-- Add one extra format option for string class
--Localize.load(string, "format", 3)

-- Run the print demos with each locale


demoLocale("en_US")
demoLocale("tr_TR")
demoLocale("ru_RU")
demoLocale("ar")
